wxWidgets: wxPGEditorDialogAdapter Class Reference

| Version: 3.0.4

Public Member Functions | Public Attributes | List of all members
wxPGEditorDialogAdapter Class Referenceabstract
Class List by Category » wxPropertyGrid

`#include </usr/src/ports/wxWidgets3.0/wxWidgets3.0-3.0.4-1.i686/src/wxWidgets-3.0.4/interface/wx/propgrid/editors.h>`

Inheritance diagram for wxPGEditorDialogAdapter:
[legend]

## Detailed Description

Derive a class from this to adapt an existing editor dialog or function to be used when editor button of a property is pushed.

You only need to derive class and implement DoShowDialog() to create and show the dialog, and finally submit the value returned by the dialog via SetValue().

##

Library: wxPropertyGrid

<>< =''>:</>&;&;< =''>\ </></>

## Public Member Functions
| wxPGEditorDialogAdapter ()
virtual | ~wxPGEditorDialogAdapter ()
bool | ShowDialog (wxPropertyGrid *propGrid, wxPGProperty *property)
virtual bool | DoShowDialog (wxPropertyGrid *propGrid, wxPGProperty *property)=0
void | SetValue (wxVariant value)
wxVariant & | GetValue ()
| This method is typically only used if deriving class from existing adapter with value conversion purposes. More...
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...

## Public Attributes
void * | m_clientData

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Constructor & Destructor Documentation

## ◆ wxPGEditorDialogAdapter()

wxPGEditorDialogAdapter::wxPGEditorDialogAdapter | ( |  | ) |

## ◆ ~wxPGEditorDialogAdapter()

virtual wxPGEditorDialogAdapter::~wxPGEditorDialogAdapter | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ DoShowDialog()

virtual bool wxPGEditorDialogAdapter::DoShowDialog | ( | wxPropertyGrid * | propGrid,
|  | wxPGProperty * | property
| ) |  |
| pure virtual

Implemented in wxPGLongStringDialogAdapter, and wxPGFileDialogAdapter.

## ◆ GetValue()

wxVariant& wxPGEditorDialogAdapter::GetValue | ( |  | ) |
| inline

This method is typically only used if deriving class from existing adapter with value conversion purposes.

## ◆ SetValue()

void wxPGEditorDialogAdapter::SetValue | ( | wxVariant | value | ) |

## ◆ ShowDialog()

bool wxPGEditorDialogAdapter::ShowDialog | ( | wxPropertyGrid * | propGrid,
|  | wxPGProperty * | property
| ) |  |

## Member Data Documentation

## ◆ m_clientData

void* wxPGEditorDialogAdapter::m_clientData